## org.apache.lucene.search
Interface ExtendedFieldCache

All Superinterfaces:
  FieldCache

Deprecated. Use `FieldCache`, this will be removed in Lucene 3.0

    public interface ExtendedFieldCache

extends FieldCache

This interface is obsolete, use `FieldCache` instead.

Nested Class Summary
`static interface` `ExtendedFieldCache.DoubleParser` Deprecated. Use `FieldCache.DoubleParser`, this will be removed in Lucene 3.0
`static interface` `ExtendedFieldCache.LongParser` Deprecated. Use `FieldCache.LongParser`, this will be removed in Lucene 3.0

Nested classes/interfaces inherited from interface org.apache.lucene.search.FieldCache
`FieldCache.ByteParser, FieldCache.CacheEntry, FieldCache.CreationPlaceholder, FieldCache.FloatParser, FieldCache.IntParser, FieldCache.Parser, FieldCache.ShortParser, FieldCache.StringIndex`

Field Summary
`static ExtendedFieldCache` `EXT_DEFAULT` Deprecated. Use `FieldCache.DEFAULT`; this will be removed in Lucene 3.0

Fields inherited from interface org.apache.lucene.search.FieldCache
`DEFAULT, DEFAULT_BYTE_PARSER, DEFAULT_DOUBLE_PARSER, DEFAULT_FLOAT_PARSER, DEFAULT_INT_PARSER, DEFAULT_LONG_PARSER, DEFAULT_SHORT_PARSER, NUMERIC_UTILS_DOUBLE_PARSER, NUMERIC_UTILS_FLOAT_PARSER, NUMERIC_UTILS_INT_PARSER, NUMERIC_UTILS_LONG_PARSER, STRING_INDEX`

Method Summary
`double[]` `getDoubles(IndexReader reader, java.lang.String field, ExtendedFieldCache.DoubleParser parser)` Deprecated. Will be removed in 3.0, this is for binary compatibility only
`long[]` `getLongs(IndexReader reader, java.lang.String field, ExtendedFieldCache.LongParser parser)` Deprecated. Will be removed in 3.0, this is for binary compatibility only

Methods inherited from interface org.apache.lucene.search.FieldCache
`getAuto, getBytes, getBytes, getCacheEntries, getCustom, getDoubles, getDoubles, getFloats, getFloats, getInfoStream, getInts, getInts, getLongs, getLongs, getShorts, getShorts, getStringIndex, getStrings, purge, purgeAllCaches, setInfoStream`

Field Detail

### EXT_DEFAULT

    static final ExtendedFieldCache EXT_DEFAULT

  Deprecated. Use `FieldCache.DEFAULT`; this will be removed in Lucene 3.0

Method Detail

### getLongs

    long[] getLongs(IndexReader reader,
                    java.lang.String field,
                    ExtendedFieldCache.LongParser parser)
                    throws java.io.IOException

  Deprecated. Will be removed in 3.0, this is for binary compatibility only

  Throws:
    `java.io.IOException`

### getDoubles

    double[] getDoubles(IndexReader reader,
                        java.lang.String field,
                        ExtendedFieldCache.DoubleParser parser)
                        throws java.io.IOException

  Deprecated. Will be removed in 3.0, this is for binary compatibility only

  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.